/* albin - Gestione completa alberi binari
 *
 * Copyright (C) 2003 Giuseppe Caulo <giusc@gbss.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _CMDS_H
#define _CMDS_H
typedef enum {
	HELP_CREATE,
	HELP_LOAD,
	HELP_SAVE,
	HELP_PRINT,
	HELP_DELETE,
	HELP_CLEAR,
	HELP_CALC,
	HELP_HEX,
	HELP_OCT,
	HELP_DEC,
	HELP_CLS,
	HELP_HELP,
	HELP_VERSION,
	HELP_COPY,
	HELP_EXIT,
	HELP_QUIT
} HelpMsg;

typedef struct cmd_t {
        char *cmd;
        void (*func)(int, char **);
        HelpMsg hm;
} Cmd, *CmdPtr;


#define GETCMDHELP(num) cmdhelp_ita[num]

extern Cmd cmds[];

void do_quit(int, char **);
void do_hex(int, char **);
void do_oct(int, char **);
void do_dec(int, char **);
void do_cls(int, char **);
void do_help(int, char **);
void do_version(int, char **);
void do_copy(int, char **);
void do_tree_create(int, char **);
void do_tree_load(int, char **);
void do_tree_save(int, char **);
void do_tree_clear(int, char **);
void do_tree_print(int, char **);
void do_tree_delete(int, char **);

#endif /* _CMDS_H */
