/* albin - Gestione completa alberi binari
 *
 * Copyright (C) 2003 Giuseppe Caulo <giusc@gbss.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _LANG_H
#define _LANG_H

enum {
	MSG_HELP,
	MSG_COMMAND_LIST,
	MSG_SECTION_NOT_FOUND,
	MSG_COMMAND,
	ALREADY_EXISTS,
	TREE_NOT_EXISTS,
	DONE,
	COULDNT_LOAD,
	FILE_WRITE_ERROR,
	FREEING,
	GOODBYE,
	NODE_NOT_FOUND,
	NODE_DELETED
};

static const char *lang_ita[] = {
	"Scrivi 'help' per la lista dei comandi\n\n" \
	"oppure\n\n" \
	"'help comando' per l'aiuto su uno specifico comando\n\n" ,
	"Lista dei comandi:\n\n",
	"Non esiste nessuna sezione con questo nome\n",
	"Comando: ",
	"L'albero gia' esiste, resettarlo prima con 'clear'\n",
	"L'albero non e' stato ancora creato, crearlo prima con 'create'\n",
	"Eseguito\n",
	"Impossibile caricare l'albero\n",
	"Impossibile aprire il file in scrittura\n",
	"Distruzione albero in corso...\n",
	"Grazie e Buon Lavoro. Arrivederci\n",
	"Nodo non trovato\n",
	"Nodo cancellato\n"
};


#define GETMSG(msgnum) lang_ita[msgnum]


#endif /* _LANG_H */
