/* albin - Gestione completa alberi binari
 *
 * Copyright (C) 2003 Giuseppe Caulo <giusc@gbss.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _LANG_CMDS_H
#define _LANG_CMDS_H

static char *cmdhelp_ita[] = {
		/* CREATE */
		"Crea un albero binario\n" \
		"Opzioni:\n" \
		"-r\tAlbero con un numero casuale di nodi riempito di numeri casuali\n" \
		"-n num\tAlbero di grandezza 'num'\n",
		/* LOAD */
		"Carica un albero da file\n",
		/* SAVE */
		"Salva l'albero corrente in un file\n",
		/* PRINT */
	  	"Stampa l'albero binario corrente\n" \
		"Opzioni:\n" \
		"-PRr\tPreorder ricorsivo\n" \
		"-POr\tPostorder ricorsivo\n" \
		"-PIr\tInorder ricorsivo\n" \
		"-PRi\tPreorder iterativo\n" \
		"-POi\tPostorder iterativo\n" \
		"-PIi\tInorder iterativo\n" \
		"-Gg\tStampa indentato graficamente\n" \
		"-Gp\tStampa indentato con parentesi\n" \
		"-Pn\tStampa normalmente con parentesi\n\n" \
		"Ogni opzione seguita dall'opzione -r scrive l'albero al contrario\n",
		/* DELETE */
		"Cancella un nodo dell'albero corrente.\n" \
		"e.g.: delete 15\n",
		/* CLEAR */
	        "Resetta l'albero corrente e libera la memoria usata\n",
		/* CALC */
		"Valuta un'espressione matematica (calcolatrice semplice)\n" \
		"Attenzione!!!\n" \
		"l'espressione deve essere racchiusa tra virgolette.\n" \
		"e.g.:\n" \
		"calc \"3 + (2 * 9)\"\n",
		/* HEX */
		"Scrive un numero in esadecimale\n" \
		"Formato input:\n" \
		"xNUM (hex)\n" \
		"\\NUM (oct)\n" \
		"NUM  (dec)\n\n" \
		"e.g.: hex \010\n",
		/* OCT */
		"Scrive un numero in ottale\n" \
		"Formato input:\n" \
		"xNUM (hex)\n" \
		"\\NUM (oct)\n" \
		"NUM  (dec)\n\n" \
		"e.g.: oct 99\n",
		/* DEC */
		"Scrive un numero in decimale\n" \
		"Formato input:\n" \
		"xNUM (hex)\n" \
		"\\NUM (oct)\n" \
		"NUM  (dec)\n\n" \
		"e.g.: dec xff\n",
		/* CLS */
		"Pulisce lo schermo",
		/* HELP */
		"Visualizza la guida",
		/* VERSION */
		"Visualizza il numero di versione",
		/* COPY */
		"Visualizza notizie sul copyright",
		/* EXIT */
		"Esce dal programma",
		/* QUIT */
		"Esce dal programma"
};

#endif /* _LANG_CMDS_H */
