/* albin - Gestione completa alberi binari
 *
 * Copyright (C) 2003 Giuseppe Caulo <giusc@gbss.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <time.h>
#include "glob.h"
#include "lang.h"
#include "randMT.h"
#include "args.h"

static const char copy[] = "<albin.c> Gestione completa degli alberi binari. by Giuseppe Caulo\n";


void fatal(const char *msg, int recoverable)
{
        PRINT_ERR("%s", msg);
        if (!recoverable)
                exit(-1);
}

int main(int argc, char *argv[])
{
  char *p;
  char *i_line;
  if ((p = strrchr(argv[0], '/')) != NULL)
       ++p;
  else
       p = argv[0];
  seedMT(4357U ^ time(NULL));
  PRINT("%s\n", copy);

  i_line=(char *)malloc(MAX_BUFF);
  init_arg();
  PRINT("%s", GETMSG(MSG_HELP));
  while (1) {
    PRINT("%s ", PROMPT);
    if (fgets(i_line, MAX_BUFF, stdin) != NULL) {
		parse_command(i_line);
	} else {
	  PRINT("\n");
	}
  }
}
